Britive platform release 2026.09.02 is now live in production.

Clone response template

Prev Next
Post
/api/resource-manager/response-templates/{templateId}/clone

Clones a response template into a new, independent response template. Only the name and description are taken from the request, and the template body and display flags are inherited from the source.

Security
HTTP
Type bearer
Path parameters
templateId
stringRequired

ID of the response template to be cloned

Body parameters

Name and description for the cloned response template

object

Name (required) and description for a clone; everything else is copied from the source.

name
string

Name of the clone.

description
string

Description of the clone.

Responses
201

Response template cloned successfully

object
templateId
string
name
string
description
string
template_data
string
show_on_ui
boolean
Defaultfalse
isConsoleAccessEnabled
boolean
Defaultfalse
createdBy
string
updatedBy
string
createdOn
string
updatedOn
string
400

Bad Request

404

Response template id does not exist